<?php

namespace app\controllers;
use app\models\Topic;

class TopicController extends \lithium\action\Controller {
	public function index()
	{
		//We'll write this eventually 
	}	
	
	public function view($topicname)
	{
		$topic = Topic::find('first', array('conditions' => compact('topicname')));
	}

	public function new()
	{
		if ($this->request->data)
		{
			$topic = Topic::create($this->request->data);
			$topic->save();
		}
	}
}